using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("管控部门岗位")]
    public class T_SK_DOUBLE_PREVENT_MECHANISM_DETAIL_POST : MesEntityBase
    {
        /// <summary>
        /// 措施
        /// </summary>
        [Description("措施")]
        [DataFieldForeignKey("Nav_DoubleDetail", "Nav_DetailPosts")]
        public Guid DOUBLE_PREVENT_MECHANISM_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航属性：措施
        /// </summary>
        [Description("导航属性：措施")]
        public T_SK_DOUBLE_PREVENT_MECHANISM_DETAIL Nav_DoubleDetail { get; set; }


        [Description("管控层级")]
        [EnumName("SKDepartmentTypeEnum")]
        public SKDepartmentTypeEnum DEPARTMENT_TYPE { get; set; }

        [Description("管控部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：管控部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("管控责任人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：管控责任人")]
        public T_FM_USER Nav_User { get; set; }
    }
}
